/*
 * Purrpackage - http://purrpackage.sourceforge.net
 * Copyright (C) 2010 John Charles Roth
 *
 * Purrpackage is free software, licensed under the terms of the GNU GPL 
 * Version 2 or, at your option, any later version. You should have 
 * received a copy of the license with this file. See the above web address
 * for more information, or contact the Free Software Foundation, Boston, MA. 
 * It is distributed WITHOUT WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package net.sourceforge.purrpackage.model;

import net.sourceforge.cobertura.coveragedata.ClassData;
import net.sourceforge.cobertura.coveragedata.LineData;
import net.sourceforge.cobertura.coveragedata.PackageData;
import net.sourceforge.cobertura.coveragedata.SourceFileData;


/**
 * Mainly enables testing of an error reporting feature.
 */
public class CoverageDataPairFactory {

	public PackageDataPair makePackageDataPair( PackageData data, PackageData samePackageData, ProjectDataPair parent ) {
		return new PackageDataPair(data, samePackageData, parent);
	}

	public SourceFileDataPair makeSourceFileDataPair( SourceFileData data, SourceFileData samePackageData, PackageDataPair parent ) {
		return new SourceFileDataPair(data, samePackageData, parent);
	}

	public ClassDataPair makeClassDataPair( ClassData data, ClassData samePackageData, SourceFileDataPair parent ) {
		return new ClassDataPair(data, samePackageData, parent);
	}

	public MethodDataPair makeMethodDataPair( MethodData data, MethodData samePackageData, ClassDataPair parent ) {
		return new MethodDataPair(data, samePackageData, parent);
	}
	
	public LineDataPair makeLineDataPair( LineData data, LineData samePackageData, MethodDataPair parent ) {
		return new LineDataPair(data, samePackageData, parent);
	}
	
}
