/*
 * Purrpackage - http://purrpackage.sourceforge.net
 * Copyright (C) 2010 John Charles Roth
 *
 * Purrpackage is free software, licensed under the terms of the GNU GPL 
 * Version 2 or, at your option, any later version. You should have 
 * received a copy of the license with this file. See the above web address
 * for more information, or contact the Free Software Foundation, Boston, MA. 
 * It is distributed WITHOUT WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package net.sourceforge.purrpackage.model;

import net.sourceforge.cobertura.coveragedata.PackageData;
import net.sourceforge.cobertura.coveragedata.SourceFileData;

/**
 * Coverage node at the level of packages. Parent is the entire Project
 * coverage, and child nodes represent coverage of individual source files.
 */

public class PackageDataPair extends CoverageDataPair<PackageData, ProjectDataPair, SourceFileDataPair> {
	
	public PackageDataPair( PackageData data, PackageData samePackageData, ProjectDataPair parent ) {
		super( data, samePackageData, parent );
		buildSourceFileDataHelpers();
	}

	void buildSourceFileDataHelpers() {
		for( Object o : getData().getSourceFiles() ) {
			SourceFileData sfd = (SourceFileData) o;
			SourceFileData dsfd = null;
			if ( getSamePackageData() != null ) {
				for (Object osfd : getSamePackageData().getSourceFiles()) {
					SourceFileData xsfd = (SourceFileData) osfd;
					if (xsfd.getName().equals(sfd.getName())) {
						dsfd = xsfd;
						break;
					}
				}
			}
			try {
				SourceFileDataPair sfdp = getFactory().makeSourceFileDataPair( sfd, dsfd, this );
				addChild( sfdp );
			}
			catch( RuntimeException e ) {
				throw new RuntimeException( "Could not create SourceFileDataPair " + sfd.getName(), e );
			}
		}
	}

	@Override
	public Comparable<?> getOrderingObject() {
		return getData().getName();
	}

}
