/*
 * Purrpackage - http://purrpackage.sourceforge.net
 * Copyright (C) 2010 John Charles Roth
 *
 * Purrpackage is free software, licensed under the terms of the GNU GPL 
 * Version 2 or, at your option, any later version. You should have 
 * received a copy of the license with this file. See the above web address
 * for more information, or contact the Free Software Foundation, Boston, MA. 
 * It is distributed WITHOUT WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

package net.sourceforge.purrpackage.recording;

import java.io.OutputStream;

import junit.framework.AssertionFailedError;
import junit.framework.Test;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter;
import org.apache.tools.ant.taskdefs.optional.junit.JUnitTest;
import org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror;

/**
 * A JUnitFormatter that signals the {@link CoberturaManager} when a test
 * starts. JUnitFormatter is an Apache Ant / JUnit class, not pure JUnit.
 * Include useFile="false" in your ant configuration to avoid empty files
 * appearing in your Ant/JUnit report directory.
 */

public class PerPackageCoverageJUnitFormatter implements JUnitResultFormatter, JUnitResultFormatterMirror {

	@Override
	public void startTestSuite(JUnitTest arg0) throws BuildException {
		String testName = arg0.getName();
		String packageName = testName.substring( 0, testName.lastIndexOf( "." ));
		CoberturaManager.getInstance().inPackage( packageName );
	}

	@Override
	public void setOutput(OutputStream arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void endTestSuite(JUnitTest arg0) throws BuildException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void setSystemError(String arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void setSystemOutput(String arg0) {
		// TODO Auto-generated method stub
		
	}


	@Override
	public void addError(Test test, Throwable t) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void addFailure(Test test, AssertionFailedError t) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void endTest(Test test) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void startTest(Test test) {
		// TODO Auto-generated method stub
		
	}




}
